package com.jsowell.pile.service.impl;

import com.jsowell.pile.domain.ClearingWithdrawInfo;
import com.jsowell.pile.mapper.ClearingWithdrawInfoMapper;
import com.jsowell.pile.service.ClearingWithdrawInfoService;
import com.jsowell.pile.vo.web.ClearingBillVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
@Service
public class ClearingWithdrawInfoServiceImpl implements ClearingWithdrawInfoService{

    @Resource
    private ClearingWithdrawInfoMapper clearingWithdrawInfoMapper;

    @Override
    public int deleteByPrimaryKey(Integer id) {
        return clearingWithdrawInfoMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(ClearingWithdrawInfo record) {
        return clearingWithdrawInfoMapper.insert(record);
    }

    @Override
    public int insertOrUpdate(ClearingWithdrawInfo record) {
        return clearingWithdrawInfoMapper.insertOrUpdate(record);
    }

    @Override
    public int insertOrUpdateSelective(ClearingWithdrawInfo record) {
        return clearingWithdrawInfoMapper.insertOrUpdateSelective(record);
    }

    @Override
    public int insertSelective(ClearingWithdrawInfo record) {
        return clearingWithdrawInfoMapper.insertSelective(record);
    }

    @Override
    public ClearingWithdrawInfo selectByPrimaryKey(Integer id) {
        return clearingWithdrawInfoMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(ClearingWithdrawInfo record) {
        return clearingWithdrawInfoMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(ClearingWithdrawInfo record) {
        return clearingWithdrawInfoMapper.updateByPrimaryKey(record);
    }

    @Override
    public int updateBatch(List<ClearingWithdrawInfo> list) {
        return clearingWithdrawInfoMapper.updateBatch(list);
    }

    @Override
    public int batchInsert(List<ClearingWithdrawInfo> list) {
        return clearingWithdrawInfoMapper.batchInsert(list);
    }

    @Override
    public ClearingWithdrawInfo selectByWithdrawCode(String withdrawCode) {
        return clearingWithdrawInfoMapper.selectByWithdrawCode(withdrawCode);
    }

    /**
     * 根据订单号查询
     */
    @Override
    public ClearingBillVO selectWithdrawInfoByOrderCode(String orderCode) {
        return clearingWithdrawInfoMapper.selectWithdrawInfoByOrderCode(orderCode);
    }

    @Override
    public List<ClearingBillVO> selectWithdrawInfoByOrderCodeList(List<String> orderCodeList) {
        return clearingWithdrawInfoMapper.selectWithdrawInfoByOrderCodeList(orderCodeList);
    }

}
